curved_ball_T< T >

## Public Member Functions

| curved_ball_T (const point_basic< T > &a0, const point_basic< T > &b0, const point_basic< T > &c0, const point_basic< T > &d0, const point_basic< T > &center0=point_basic< T >(0, 0), const T &radius0=1)
void | set_boundary_face (size_t loc_ifac_curved)
void | set_boundary_edge (size_t loc_iedg_curved)
point_basic< T > | operator() (const point_basic< T > &hat_x) const

## Protected Member Functions

point_basic< T > | x_face (size_t loc_ifac, const point_basic< T > &hat_x) const
point_basic< T > | x_edge (size_t loc_iedg, const T &hat_x) const
point_basic< T > | project_on_boundary (const point_basic< T > &x) const
point_basic< T > | f_abc (const point_basic< T > &x) const
point_basic< T > | f_abd (const point_basic< T > &x) const
point_basic< T > | f_acd (const point_basic< T > &x) const
point_basic< T > | f_bcd (const point_basic< T > &x) const
point_basic< T > | f_ab (const point_basic< T > &x) const
point_basic< T > | f_ac (const point_basic< T > &x) const
point_basic< T > | f_bc (const point_basic< T > &x) const
point_basic< T > | f_ad (const point_basic< T > &x) const
point_basic< T > | f_bd (const point_basic< T > &x) const
point_basic< T > | f_cd (const point_basic< T > &x) const

## Protected Attributes

std::array< point_basic< T >, 4 > | node
point_basic< T > | center
T | radius
std::array< bool, 6 > | is_bdry_edg
std::array< bool, 4 > | is_bdry_fac
std::array< bool, 4 > | is_curved_fac

## Detailed Description

### template<class T>
class rheolef::curved_ball_T< T >

Definition at line 174 of file geo_element_curved_ball.h.

## Constructor & Destructor Documentation

## curved_ball_T()

curved_ball_T | ( | const point_basic< T > & | a0,
|  | const point_basic< T > & | b0,
|  | const point_basic< T > & | c0,
|  | const point_basic< T > & | d0,
|  | const point_basic< T > & | center0 = `point_basic<T>(0,0)`,
|  | const T & | radius0 = `1`
| ) |  |

Definition at line 177 of file geo_element_curved_ball.h.

## Member Function Documentation

## set_boundary_face()

void set_boundary_face | ( | size_t | loc_ifac_curved | ) |

Definition at line 190 of file geo_element_curved_ball.h.

## set_boundary_edge()

void set_boundary_edge | ( | size_t | loc_iedg_curved | ) |

Definition at line 205 of file geo_element_curved_ball.h.

## operator()()

point_basic<T> operator() | ( | const point_basic< T > & | hat_x | ) | const

Definition at line 222 of file geo_element_curved_ball.h.

## x_face()

point_basic<T> x_face | ( | size_t | loc_ifac,
|  | const point_basic< T > & | hat_x
| ) |  | const

protected

Definition at line 285 of file geo_element_curved_ball.h.

## x_edge()

point_basic<T> x_edge | ( | size_t | loc_iedg,
|  | const T & | hat_x
| ) |  | const

protected

Definition at line 314 of file geo_element_curved_ball.h.

## project_on_boundary()

point_basic<T> project_on_boundary | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 326 of file geo_element_curved_ball.h.

## f_abc()

point_basic<T> f_abc | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 329 of file geo_element_curved_ball.h.

## f_abd()

point_basic<T> f_abd | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 330 of file geo_element_curved_ball.h.

## f_acd()

point_basic<T> f_acd | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 331 of file geo_element_curved_ball.h.

## f_bcd()

point_basic<T> f_bcd | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 332 of file geo_element_curved_ball.h.

## f_ab()

point_basic<T> f_ab | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 333 of file geo_element_curved_ball.h.

## f_ac()

point_basic<T> f_ac | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 334 of file geo_element_curved_ball.h.

## f_bc()

point_basic<T> f_bc | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 335 of file geo_element_curved_ball.h.

## f_ad()

point_basic<T> f_ad | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 336 of file geo_element_curved_ball.h.

## f_bd()

point_basic<T> f_bd | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 337 of file geo_element_curved_ball.h.

## f_cd()

point_basic<T> f_cd | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 338 of file geo_element_curved_ball.h.

## Member Data Documentation

## node

std::array<point_basic<T>,4> node

protected

Definition at line 340 of file geo_element_curved_ball.h.

## center

point_basic<T> center

protected

Definition at line 341 of file geo_element_curved_ball.h.

## radius

T radius

protected

Definition at line 342 of file geo_element_curved_ball.h.

## is_bdry_edg

std::array<bool,6> is_bdry_edg

protected

Definition at line 343 of file geo_element_curved_ball.h.

## is_bdry_fac

std::array<bool,4> is_bdry_fac

protected

Definition at line 344 of file geo_element_curved_ball.h.

## is_curved_fac

std::array<bool,4> is_curved_fac

protected

Definition at line 345 of file geo_element_curved_ball.h.

The documentation for this class was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/geo_element_curved_ball.h